Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029429
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2015-03-26 12:242015-05-07 22:17
ReporterjonalegriaesarteView Statuspublic 
Assigned Toreinaldoguerra 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionb509a9c376d0
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toeduardo_Argal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029429: Sales quotation can not be managed if the user creates an order from quotation and removes it

DescriptionSales quotation can not be managed if the user creates an order from quotation and removes it. In the process of removing the quotation, the system should set the status of the quotation from Closed - Order Created to Completed, for example.
Steps To Reproduce- Create a quotation with one line
- Complete it
- Create the order
- Reactivate the order and remove it
- Quotation can not be managed (to remove it, for example)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0076089)
reinaldoguerra (developer)
2015-03-27 14:39

Test plan used:
1- Login into Openbravo ERP
2- Go to Sales quotation window and create a new header (any organization and busnis partner)
3- Go to lines tab and create a new one.
4- Book it and then click on Create Order button completing the process.
5- Check that a new order is created and the quotation status is now (Closed - Order Created)
6- Go to Sales order window and select created order.
7- Click on Close button and select Reactivate option
8- Delete the sales order.
9- Go to previous created quotation and refresh it. Realize that now its status is Under Evaluation, so you can manage it again (Reactivate it and Delete it)
(0077034)
hgbot (developer)
2015-05-06 08:48

Repository: erp/devel/pi
Changeset: b509a9c376d0416031bd3b3c283e3875c7b8493a
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Fri Mar 27 15:57:12 2015 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/b509a9c376d0416031bd3b3c283e3875c7b8493a [^]

Fixed bug 29429: Sales quotation can not be managed if its order is removed.

On delete function in Order event handler, is now defined to reset the quotation status, when the order generated by this quotation is modified and deleted.
Now, it is possible to manage again the original order (quotation) when the order generated is not existent anymore.

---
M src/org/openbravo/event/OrderEventHandler.java
---
(0077035)
eduardo_Argal (developer)
2015-05-06 08:54

Code Reviewed and tested.
Test plan used:
1- Login into Openbravo ERP
2- Go to Sales quotation window and create a new header (any organization and busnis partner)
3- Go to lines tab and create a new one.
4- Book it and then click on Create Order button completing the process.
5- Check that a new order is created and the quotation status is now (Closed - Order Created)
6- Go to Sales order window and select created order.
7- Click on Close button and select Reactivate option
8- Delete the sales order.
9- Go to previous created quotation and refresh it. Realize that now its status is Under Evaluation, so you can manage it again (Reactivate it and Delete it)
(0077216)
hudsonbot (developer)
2015-05-07 22:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-03-26 12:24 jonalegriaesarte New Issue
2015-03-26 12:24 jonalegriaesarte Assigned To => Sandrahuguet
2015-03-26 12:24 jonalegriaesarte Modules => Core
2015-03-26 12:24 jonalegriaesarte Triggers an Emergency Pack => No
2015-03-26 16:28 reinaldoguerra Assigned To Sandrahuguet => reinaldoguerra
2015-03-26 16:28 reinaldoguerra Status new => scheduled
2015-03-27 14:39 reinaldoguerra Note Added: 0076089
2015-05-06 08:48 hgbot Checkin
2015-05-06 08:48 hgbot Note Added: 0077034
2015-05-06 08:48 hgbot Status scheduled => resolved
2015-05-06 08:48 hgbot Resolution open => fixed
2015-05-06 08:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b509a9c376d0416031bd3b3c283e3875c7b8493a [^]
2015-05-06 08:54 eduardo_Argal Review Assigned To => eduardo_Argal
2015-05-06 08:54 eduardo_Argal Note Added: 0077035
2015-05-06 08:54 eduardo_Argal Status resolved => closed
2015-05-07 22:17 hudsonbot Checkin
2015-05-07 22:17 hudsonbot Note Added: 0077216


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker